/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * vehicle information.
 */
@ApiModel(description = "vehicle information.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model227 {
  @SerializedName("brand")
  private String brand = null;

  @SerializedName("model")
  private String model = null;

  public Model227 brand(String brand) {
    this.brand = brand;
    return this;
  }

   /**
   * Brand of the vehicle.
   * @return brand
  **/
  @ApiModelProperty(example = "Audi", required = true, value = "Brand of the vehicle.")
  public String getBrand() {
    return brand;
  }

  public void setBrand(String brand) {
    this.brand = brand;
  }

  public Model227 model(String model) {
    this.model = model;
    return this;
  }

   /**
   * Model of the vehicle.
   * @return model
  **/
  @ApiModelProperty(example = "A5", required = true, value = "Model of the vehicle.")
  public String getModel() {
    return model;
  }

  public void setModel(String model) {
    this.model = model;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model227 model227 = (Model227) o;
    return Objects.equals(this.brand, model227.brand) &&
        Objects.equals(this.model, model227.model);
  }

  @Override
  public int hashCode() {
    return Objects.hash(brand, model);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model227 {\n");
    
    sb.append("    brand: ").append(toIndentedString(brand)).append("\n");
    sb.append("    model: ").append(toIndentedString(model)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

